Create permission
curl --request POST \
--url https://api.example.com/v1/rbac \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rec_type": "<string>",
"permission": "<string>",
"rec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/v1/rbac"
payload = {
"actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rec_type": "<string>",
"permission": "<string>",
"rec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actor_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
rec_type: '<string>',
permission: '<string>',
rec_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/v1/rbac', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Permissions
Create permission
Create a new RBAC permission
POST
/
v1
/
rbac
Create permission
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
Permission created successfully
⌘I